Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 534022 - repoman: Add some newlines to *DEPEND output for clarity
Summary: repoman: Add some newlines to *DEPEND output for clarity
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Repoman (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: 550110 484436
  Show dependency tree
 
Reported: 2014-12-30 17:00 UTC by Jeroen Roovers
Modified: 2015-05-23 01:48 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
repoman-pformat.patch (repoman-pformat.patch,817 bytes, patch)
2015-05-17 08:58 UTC, Jeroen Roovers
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers gentoo-dev 2014-12-30 17:00:27 UTC
Simulated example:

   dev-python/sqlalchemy-migrate/sqlalchemy-migrate-0.9.2.ebuild: RDEPEND: ~x86(hardened/linux/x86/selinux) ['>=dev-python/pbr-0.5.21[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]', '<dev-python/pbr-1.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]', '>=dev-python/sqlalchemy-0.7.8[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]', 'dev-python/decorator[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]', '>=dev-python/six-1.4.1[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]', '>=dev-python/tempita-0.4[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]', 'dev-python/python-sqlparse[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]']

would look a lot more legible when printed like this:

   dev-python/sqlalchemy-migrate/sqlalchemy-migrate-0.9.2.ebuild: RDEPEND: ~x86(hardened/linux/x86/selinux) [
   '>=dev-python/pbr-0.5.21[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]',
   '<dev-python/pbr-1.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]',
   '>=dev-python/sqlalchemy-0.7.8[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]',
   'dev-python/decorator[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]',
   '>=dev-python/six-1.4.1[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]',
   '>=dev-python/tempita-0.4[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]',
   'dev-python/python-sqlparse[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]']

I'm sure bugzilla is going to mess with how this is displayed, but the idea is to put every element of the printed array on a separate line.

We could even ditch the entire pythonesque array output, since that's just how python likes it and not really useful for machine or human parsing otherwise. Or do we have scrapers out there that actually rely on this output format?
Comment 1 Pacho Ramos gentoo-dev 2015-01-23 09:43:36 UTC
I fully support this suggestion, it will prevent me from missing some package by error ;)
Comment 2 Jeroen Roovers gentoo-dev 2015-05-17 08:58:20 UTC
Created attachment 403458 [details, diff]
repoman-pformat.patch

Something like this.
Comment 3 Brian Dolbec gentoo-dev 2015-05-18 23:45:22 UTC
Released in portage-2.2.20